# Get the list of facilities for a given carrier Endpoint: GET /me/carriers/{carrier_id}/facilities Version: 0.1.0 Security: OAuth2 ## Path parameters: - `carrier_id` (string, required) ## Request fields (application/json): - `country_code` (string, required) ISO 3166-1 alpha-2 country code. - `delivery_type` (string, required) The type of delivery or collection method we want to get options from. delivery_type can be one of the following: * parcel_locker * post_office Example: "parcel_locker" - `search_text` (string, required) Filter text that is used to search available facilities. It can include City, Postal Code or a string contained within Facility name. Example: "Zagreb" ## Response 200 fields (application/json): - `address` (string, required) - `city` (string, required) - `code` (string) - `delivery_type` (string, required) - `name` (string, required) - `postal_code` (string, required) ## Response 400 fields (application/json): - `code` (string, required) Example: "negative_price" - `error` (string, required) A contextual description of the error that occurred. When handling errors the code field should be used to determine the type of error that occurred, as the text in the error field may change unexpectedly. Example: "`price` cannot be negative"